LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XImplicitIDReplace Interface Referencepublished

makes it possible to replace contents in a collection by an implicit (unique) ID: More...

`import"XImplicitIDReplace.idl";`

Inheritance diagram for XImplicitIDReplace:

## Public Member Functions
void | replaceByUniqueID ([in] string ID, [in] any aNewElement) raises ( com::sun::star::container::NoSuchElementException )
| replaces the content which is specified by its implicit (unique) ID with a new content. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to replace contents in a collection by an implicit (unique) ID:

## Member Function Documentation

## ◆ replaceByUniqueID()

void replaceByUniqueID | ( | [in] string | ID,
|  | [in] any | aNewElement
| ) |  |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

replaces the content which is specified by its implicit (unique) ID with a new content.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XImplicitIDReplace.idl